import 'package:flutter/material.dart';

class ColorUtil {

  /// 主色调
  static const Color_85_117_242 = Color.fromRGBO(85, 117, 242, 1);

  static const Color_80_87_103 = Color.fromRGBO(80, 87, 103, 1);

  static const Color_51_51_51 = Color.fromRGBO(51, 51, 51, 1);

  static const Color_244_244_244 = Color.fromRGBO(244, 244, 244, 1);

  static const Color_89_88_88 = Color.fromRGBO(89, 88, 88, 1);

  static const Color_177_177_177 = Color.fromRGBO(177, 177, 177, 1);

  static const Color_120_137_203 = Color.fromRGBO(120, 137, 203, 1);

  static const Color_153_153_153 = Color.fromRGBO(153, 153, 153, 1);

  static const Color_41_41_41 = Color.fromRGBO(41, 41, 41, 1);

  static const Color_35_35_35 = Color.fromRGBO(35, 35, 35, 1);
  static const Color_35_35_35_07 = Color.fromRGBO(35, 35, 35, 0.7);

  static const Color_156_156_156 = Color.fromRGBO(156, 156, 156, 1);

  static const Color_202_202_202 = Color.fromRGBO(202, 202, 202, 1);

  static const Color_7_9_11 = Color.fromRGBO(7, 9, 11, 1);

  static const Color_49_53_58 = Color.fromRGBO(49, 53, 58, 1);

  static const Color_16_20_24 = Color.fromRGBO(16, 20, 24, 1);

  static const Color_0_0_0_1 = Color.fromRGBO(0, 0, 0, 1);
  static const Color_0_0_0_0 = Color.fromRGBO(0, 0, 0, 0);
  static const Color_0_0_0_96 = Color.fromRGBO(0, 0, 0, 0.96);

  static const Color_134_134_134 = Color.fromRGBO(134, 134, 134, 1);

  static const Color_49_47_47 = Color.fromRGBO(49, 47, 47, 1);

  static const Color_57_57_57 = Color.fromRGBO(57, 57, 57, 1);
  static const Color_57_57_57_08 = Color.fromRGBO(57, 57, 57, 0.8);

  static const Color_238_238_238 = Color.fromRGBO(238, 238, 238, 1);

  static const Color_70_71_73 = Color.fromRGBO(70, 71, 73, 1);

  static const Color_243_243_243 = Color.fromRGBO(243, 243, 243, 1);

  static const Color_2_177_136 = Color.fromRGBO(2, 177, 136, 1);

  static const Color_28_28_28 = Color.fromRGBO(28, 28, 28, 1);

  static const Color_53_53_53 = Color.fromRGBO(53, 53, 53, 1);

  static const Color_235_235_235 = Color.fromRGBO(235, 235, 235, 1);

  static const Color_185_184_184 = Color.fromRGBO(185, 184, 184, 1);

  static const Color_255_255_255 = Color.fromRGBO(255, 255, 255, 1);

  static const Color_108_108_108 = Color.fromRGBO(108, 108, 108, 1);

  static const Color_230_230_230 = Color.fromRGBO(230, 230, 230, 1);

  static const Color_99_111_158 = Color.fromRGBO(99, 111, 158, 1);

  static const Color_16_19_13 = Color.fromRGBO(16, 19, 13, 1);

  static const Color_255_69_69 = Color.fromRGBO(255, 69, 69, 1);

  static const Color_84_84_84 = Color.fromRGBO(84, 84, 84, 1);

  /// 十六进制颜色，
  /// hex, 十六进制值，例如：0xffffff,
  /// alpha, 透明度 [0.0,1.0]
  static Color hexColor(int hex, {double alpha = 1}) {
    if (alpha < 0) {
      alpha = 0;
    } else if (alpha > 1) {
      alpha = 1;
    }
    return Color.fromRGBO((hex & 0xFF0000) >> 16, (hex & 0x00FF00) >> 8,
        (hex & 0x0000FF) >> 0, alpha);
  }
}
